# Class default

Abstract class for handling UI elements related to button bindings.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/settings/gamepad-binding-ui-handler.ts:9

#####
Index

### Constructors

constructor

### Properties

actionBg
actionLabel
actionsContainer
active
buttonPressed
cancelFn
cancelLabel
countdownTimer
cursor
listening
mode
newButtonIcon
optionSelectBg
optionSelectContainer
scene
swapText
target
targetButtonIcon
timeLeftAutoClose
timerText
titleBg
unlockText

### Methods

clear
gamepadButtonDown
getCursor
getSelectedDevice
getTextColor
getUi
getWindowHeight
getWindowWidth
manageAutoCloseTimer
onInputDown
processInput
setCursor
setup
show
swapAction

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/settings/gamepad-binding-ui-handler.ts:11

## Properties

### `Protected` actionBg

actionBg: NineSlice

Inherited from default.actionBg

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:19

### `Protected` actionLabel

actionLabel: Text

Inherited from default.actionLabel

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:26

### `Protected` actionsContainer

actionsContainer: Container

Inherited from default.actionsContainer

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:15

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` buttonPressed

buttonPressed: number = null

Inherited from default.buttonPressed

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:30

### `Protected` cancelFn

cancelFn: ((boolean?) => boolean)

#### Type declaration

- - (boolean?): boolean

  - #### Parameters

    - `Optional` boolean: any

    #### Returns boolean

Inherited from default.cancelFn

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:37

### `Protected` cancelLabel

cancelLabel: Text

Inherited from default.cancelLabel

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:27

### `Protected` countdownTimer

countdownTimer: any

Inherited from default.countdownTimer

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:41

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` listening

listening: boolean = false

Inherited from default.listening

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:29

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` newButtonIcon

newButtonIcon: Sprite

Inherited from default.newButtonIcon

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:33

### `Protected` optionSelectBg

optionSelectBg: NineSlice

Inherited from default.optionSelectBg

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:20

### `Protected` optionSelectContainer

optionSelectContainer: Container

Inherited from default.optionSelectContainer

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:14

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` swapText

swapText: Text

Inherited from default.swapText

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:25

### `Protected` target

target: any

Inherited from default.target

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:44

### `Protected` targetButtonIcon

targetButtonIcon: Sprite

Inherited from default.targetButtonIcon

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:34

### `Protected` timeLeftAutoClose

timeLeftAutoClose: number = 5

Inherited from default.timeLeftAutoClose

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:40

### `Protected` timerText

timerText: Text

Inherited from default.timerText

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:24

### `Protected` titleBg

titleBg: NineSlice

Inherited from default.titleBg

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:18

### `Protected` unlockText

unlockText: Text

Inherited from default.unlockText

- Defined in src/ui/settings/abstract-binding-ui-handler.ts:23

## Methods

### clear

- clear(): void

- Clear the UI elements and state.

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/settings/gamepad-binding-ui-handler.ts:78

### gamepadButtonDown

- gamepadButtonDown(pad, button, value): void

- #### Parameters

  - pad: Gamepad
  - button: Button
  - value: number

  #### Returns void

  - Defined in src/ui/settings/gamepad-binding-ui-handler.ts:48

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getSelectedDevice

- getSelectedDevice(): any

- #### Returns any

  - Defined in src/ui/settings/gamepad-binding-ui-handler.ts:44

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### getWindowHeight

- getWindowHeight(): number

- Get the height of the window.

  #### Returns number

  The window height.

  Inherited from default.getWindowHeight

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:153

### getWindowWidth

- getWindowWidth(): number

- Get the width of the window.

  #### Returns number

  The window width.

  Inherited from default.getWindowWidth

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:144

### manageAutoCloseTimer

- manageAutoCloseTimer(): void

- #### Returns void

  Inherited from default.manageAutoCloseTimer

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:101

### onInputDown

- onInputDown(buttonIcon, assignedButtonIcon, type): void

- Handle input down events.

  #### Parameters

  - buttonIcon: string

    The icon of the button that was pressed.

  - assignedButtonIcon: string

    The icon of the button that is assigned.

  - type: string

    The type of button press.

  #### Returns void

  Inherited from default.onInputDown

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:244

### processInput

- processInput(button): boolean

- Process the input for the given button.

  #### Parameters

  - button: Button

    The button to process.

  #### Returns boolean

  `true` if the input was processed successfully.

  Inherited from default.processInput

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:163

### setCursor

- setCursor(cursor): boolean

- Set the cursor to the specified position.

  #### Parameters

  - cursor: number

    The cursor position to set.

  #### Returns boolean

  `true` if the cursor was set successfully.

  Inherited from default.setCursor

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:204

### setup

- setup(): void

- Setup UI elements.

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/settings/gamepad-binding-ui-handler.ts:15

### show

- show(args): boolean

- Show the UI with the provided arguments.

  #### Parameters

  - args: any[]

    Arguments to be passed to the show method.

  #### Returns boolean

  `true` if successful.

  Inherited from default.show

  - Defined in src/ui/settings/abstract-binding-ui-handler.ts:120

### swapAction

- swapAction(): boolean

- #### Returns boolean

  Overrides default.swapAction

  - Defined in src/ui/settings/gamepad-binding-ui-handler.ts:66